"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _styles = require("@material-ui/core/styles");

var _Drawer = _interopRequireDefault(require("@material-ui/core/Drawer"));

var _CssBaseline = _interopRequireDefault(require("@material-ui/core/CssBaseline"));

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _List = _interopRequireDefault(require("@material-ui/core/List"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Divider = _interopRequireDefault(require("@material-ui/core/Divider"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Menu = _interopRequireDefault(require("@material-ui/icons/Menu"));

var _ChevronLeft = _interopRequireDefault(require("@material-ui/icons/ChevronLeft"));

var _ChevronRight = _interopRequireDefault(require("@material-ui/icons/ChevronRight"));

var _ListItem = _interopRequireDefault(require("@material-ui/core/ListItem"));

var _ListItemIcon = _interopRequireDefault(require("@material-ui/core/ListItemIcon"));

var _ListItemText = _interopRequireDefault(require("@material-ui/core/ListItemText"));

var _MoveToInbox = _interopRequireDefault(require("@material-ui/icons/MoveToInbox"));

var _Mail = _interopRequireDefault(require("@material-ui/icons/Mail"));

var _redux = require("redux");

var _reactRedux = require("react-redux");

var _actions = _interopRequireDefault(require("../../store/drawer/actions"));

var _reactRouterDom = require("react-router-dom");

var _withConfig = _interopRequireDefault(require("base-shell/lib/providers/ConfigProvider/withConfig"));

var _reactIntl = require("react-intl");

var _this = void 0,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\containers\\Menu\\Menu.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var drawerWidth = 240;
var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      display: 'flex'
    },
    appBar: {
      transition: theme.transitions.create(['margin', 'width'], {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.leavingScreen
      })
    },
    appBarShift: {
      width: "calc(100% - " + drawerWidth + "px)",
      marginLeft: drawerWidth,
      transition: theme.transitions.create(['margin', 'width'], {
        easing: theme.transitions.easing.easeOut,
        duration: theme.transitions.duration.enteringScreen
      })
    },
    menuButton: {
      marginRight: theme.spacing(2)
    },
    hide: {
      display: 'none'
    },
    drawer: {
      width: drawerWidth,
      flexShrink: 0
    },
    drawerPaper: {
      width: drawerWidth
    },
    drawerHeader: _extends({
      display: 'flex',
      alignItems: 'center',
      padding: theme.spacing(0, 1)
    }, theme.mixins.toolbar, {
      justifyContent: 'flex-end'
    }),
    content: {
      flexGrow: 1,
      padding: theme.spacing(3),
      transition: theme.transitions.create('margin', {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.leavingScreen
      }),
      marginLeft: -drawerWidth
    },
    contentShift: {
      transition: theme.transitions.create('margin', {
        easing: theme.transitions.easing.easeOut,
        duration: theme.transitions.duration.enteringScreen
      }),
      marginLeft: 0
    }
  };
});

var Menu = function Menu(_ref) {
  var drawer = _ref.drawer,
      setDrawerOpen = _ref.setDrawerOpen,
      setDrawerMobileOpen = _ref.setDrawerMobileOpen,
      appConfig = _ref.appConfig,
      intl = _ref.intl,
      match = _ref.match,
      history = _ref.history;
  var classes = useStyles();
  var theme = (0, _styles.useTheme)();
  var _drawer$open = drawer.open,
      open = _drawer$open === void 0 ? false : _drawer$open;
  var menuItems = appConfig.getMenuItems({
    intl: intl,
    auth: appConfig.auth //locale,
    //updateLocale,

  }).filter(function (item) {
    return item.visible !== false;
  });

  var handleDrawerOpen = function handleDrawerOpen() {
    setDrawerOpen(true);
  };

  var handleDrawerClose = function handleDrawerClose() {
    setDrawerOpen(false);
  };

  var index = match ? match.path : '/';

  var onIndexChange = function onIndexChange(event, index) {
    if (index !== undefined) {
      setDrawerMobileOpen(false);
    }

    if (index !== undefined && index !== Object(index)) {
      history.push(index);
    }
  };

  var useMinified = drawer.useMinified && !drawer.open;

  var getItem = function getItem(item, i) {
    //delete item.visible
    if (item !== undefined) {
      if (item.subheader !== undefined) {
        return /*#__PURE__*/_react.default.createElement("div", {
          key: i,
          inset: item.inset,
          style: item.style,
          __self: _this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 130,
            columnNumber: 11
          }
        }, item.subheader);
      } else if (item.divider !== undefined) {
        return /*#__PURE__*/_react.default.createElement(_Divider.default, {
          key: i,
          inset: item.inset,
          style: item.style,
          __self: _this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 135,
            columnNumber: 16
          }
        });
      } else {
        return /*#__PURE__*/_react.default.createElement(_ListItem.default, {
          button: true,
          selected: index && index === item.value,
          key: i,
          onClick: function onClick(e) {
            onIndexChange(e, item.value); // this.handleNestedItemsClick(item)

            if (item.onClick) {
              item.onClick();
            }
          },
          onMouseDown: function onMouseDown(e) {
            if (e.button === 1) {
              var win = window.open("" + item.value, '_blank');
              win.focus();
            }
          },
          __self: _this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 138,
            columnNumber: 11
          }
        }, item.leftIcon && /*#__PURE__*/_react.default.createElement(_ListItemIcon.default, {
          __self: _this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 156,
            columnNumber: 31
          }
        }, item.leftIcon), !useMinified && /*#__PURE__*/_react.default.createElement(_ListItemText.default, {
          primary: item.primaryText,
          __self: _this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 158,
            columnNumber: 30
          }
        }));
      }
    }

    return null;
  };

  return /*#__PURE__*/_react.default.createElement(_Drawer.default, {
    className: classes.drawer,
    variant: "persistent",
    anchor: "left",
    open: open,
    classes: {
      paper: classes.drawerPaper
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 180,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.drawerHeader,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 189,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    onClick: handleDrawerClose,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 190,
      columnNumber: 9
    }
  }, theme.direction === 'ltr' ? /*#__PURE__*/_react.default.createElement(_ChevronLeft.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 192,
      columnNumber: 13
    }
  }) : /*#__PURE__*/_react.default.createElement(_ChevronRight.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 194,
      columnNumber: 15
    }
  }))), /*#__PURE__*/_react.default.createElement(_Divider.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 198,
      columnNumber: 7
    }
  }), /*#__PURE__*/_react.default.createElement(_List.default, {
    value: index,
    onChange: onIndexChange,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 199,
      columnNumber: 7
    }
  }, menuItems.filter(function (item) {
    return item.visible !== false;
  }).map(function (item, i) {
    return getItem(item, i);
  })));
};

var mapStateToProps = function mapStateToProps(state) {
  var drawer = state.drawer;
  return {
    drawer: drawer
  };
};

var _default = (0, _redux.compose)((0, _reactRedux.connect)(mapStateToProps, _extends({}, _actions.default)), _reactIntl.injectIntl, _reactRouterDom.withRouter, _withConfig.default)(Menu);

exports.default = _default;
module.exports = exports.default;