"use strict";

exports.__esModule = true;
exports.default = drawer;

var types = _interopRequireWildcard(require("./types"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var initialState = {
  mobileOpen: false,
  open: false,
  useMinified: false
};

function drawer(state, action) {
  if (state === void 0) {
    state = initialState;
  }

  switch (action.type) {
    case types.ON_DRAWER_OPEN_CHANGED:
      return _extends({}, state, {
        open: action.open,
        useMinified: true
      });

    case types.ON_DRAWER_MOBILE_OPEN_CHANGED:
      return _extends({}, state, {
        mobileOpen: action.mobileOpen
      });

    case types.ON_DRAWER_USE_MINIFIED_CHANGED:
      return _extends({}, state, {
        useMinified: action.useMinified,
        open: false
      });

    default:
      return state;
  }
}

module.exports = exports.default;